Subject: Re: bug#34569: 26.1.90; Zero wide scroll bars

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Feb 2019 21:04:06 +0200

> Date: Sun, 24 Feb 2019 19:31:47 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  >> It means though that we have to do some non-standard surgery in the
>  >> frame parameters area.
>  >
>  > That's okay, we already do similar things with some parameters.
> 
> You didn't answer that question:
> 
>  > Note that x_report_frame_params inserts the
>  > zero value automatically via
>  >
>  >   store_in_alist (alistptr, Qscroll_bar_width,
>  >           (! FRAME_HAS_VERTICAL_SCROLL_BARS (f)
>  >            ? make_fixnum (0)
>  >            : FRAME_CONFIG_SCROLL_BAR_WIDTH (f) > 0
>  >            ? make_fixnum (FRAME_CONFIG_SCROLL_BAR_WIDTH (f))
>  >            /* nil means "use default width"
>  >               for non-toolkit scroll bar.
>  >               ruler-mode.el depends on this.  */
>  >            : Qnil));
>  >
>  > What should we use instead?

I thought I did.  Maybe I didn't understand what exactly you are
asking.